org.jboss.logging.processor.model

## Enum MessageInterface.AnnotatedType

- java.lang.Object
- - java.lang.Enum<MessageInterface.AnnotatedType>
  - - org.jboss.logging.processor.model.MessageInterface.AnnotatedType

All Implemented Interfaces:
  Serializable, Comparable<MessageInterface.AnnotatedType>

Enclosing interface:
  MessageInterface

    public static enum MessageInterface.AnnotatedType
    extends Enum<MessageInterface.AnnotatedType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`MESSAGE_BUNDLE` Indicates the interface is annotated with `@MessageBundle`
`MESSAGE_LOGGER` Indicates the interface is annotated with `@MessageLogger`
`NONE` Indicates the interface is not annotated with `MessageBundle` or `@MessageLogger`

### Method Summary

Methods
`static MessageInterface.AnnotatedType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MessageInterface.AnnotatedType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MESSAGE_BUNDLE

    public static final MessageInterface.AnnotatedType MESSAGE_BUNDLE

Indicates the interface is annotated with `@MessageBundle`

#### MESSAGE_LOGGER

    public static final MessageInterface.AnnotatedType MESSAGE_LOGGER

Indicates the interface is annotated with `@MessageLogger`

#### NONE

    public static final MessageInterface.AnnotatedType NONE

Indicates the interface is not annotated with `MessageBundle` or `@MessageLogger`

### Method Detail

#### values

    public static MessageInterface.AnnotatedType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MessageInterface.AnnotatedType c : MessageInterface.AnnotatedType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MessageInterface.AnnotatedType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null